Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class AnimationSupport

    java.lang.Object
      org.apache.batik.bridge.AnimationSupport

    public abstract class AnimationSupport

extends Object

Class that provides utilities for animation support.

Constructor Summary
`AnimationSupport()`

Method Summary
`static void` | `fireTimeEvent(EventTarget target, String eventType, Calendar time, int detail)` Fires a `TimeEvent` on the given `EventTarget`.
`protected static Element` | `getElementById(String id, Node n)` Returns the element with the given ID, using the given node as the context for the lookup.
`static EventTarget` | `getEventTargetById(String id, Node n)` Returns the event target with the given ID, using the given node as the context for the lookup.
`static TimedElement` | `getTimedElementById(String id, Node n)` Returns the timed element with the given ID, using the given node as the context for the lookup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnimationSupport

    public AnimationSupport()

Method Detail

### fireTimeEvent

    public static void fireTimeEvent(EventTarget target,
                                     String eventType,
                                     Calendar time,
                                     int detail)

  Fires a `TimeEvent` on the given `EventTarget`.

### getTimedElementById

    public static TimedElement getTimedElementById(String id,
                                                   Node n)

  Returns the timed element with the given ID, using the given node as the context for the lookup.

### getEventTargetById

    public static EventTarget getEventTargetById(String id,
                                                 Node n)

  Returns the event target with the given ID, using the given node as the context for the lookup.

### getElementById

    protected static Element getElementById(String id,
                                            Node n)

  Returns the element with the given ID, using the given node as the context for the lookup.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.